Bug 63910 - Can't copy from emacs into other applications
Can't copy from emacs into other applications
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: emacs (Show other bugs)
skipjack-beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-21 14:09 EDT by Tom Moertel
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-24 22:08:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Moertel 2002-04-21 14:09:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc1) Gecko/20020417

Description of problem:
When copying a block of text from with emacs, either by C-w, M-w, or selection,
the text never makes it to the "system clipboard," from where it can be pasted
into other applications.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Load a bunch of text into emacs.
2. Copy it to the clipboard (via, say, M-< M-> M-w).
3. Start up gedit. "gedit&"
4. Paste the selection into gedit.
5. Start up Mozilla and compose a new email.
6. Try to paste the selection into the new email.

Actual Results:  Whatever was previously on the system clipboard (often nothing)
is pasted into the destination application.

Expected Results:  The copied selection from with emacs should be pasted into
the destination application.

Additional info:
Comment 1 Tom Moertel 2002-04-24 22:08:10 EDT
To make Emacs talk to the X clipboard, just set (or customize)
x-select-enable-clipboard to t.  Perhaps the /etc/skel/.emacs file should do
this by default.  After all, the default RHL installation configurations (except
for Server) are X-based.
Comment 2 Trond Eivind Glomsrxd 2002-04-26 15:23:30 EDT
It's a difference of opinion how to copy/paste it.... as tom@moertel.com writes,
you can define it yourself.

While you can't use the copy/paste, observe that you can use the standard X
mid-mouse paste mechanism, which is what the Emacs developers seem to prefer.

Note You need to log in before you can comment on or make changes to this bug.